Gecode::Int::Extensional::Compact< View, pos >::LostSupports Class Reference

Iterator over lost supports. More...

`#include <extensional.hh>`

## Public Member Functions

| LostSupports (const Compact< View, pos > &p, CTAdvisor &a, int l, int h)
| Initialize iterator for values between l and h.
void | operator++ (void)
| Move iterator to next value.
bool | operator() (void) const
| Whether iterator is done.
const BitSetData * | supports (void) const
| Provide access to corresponding supports.

## Protected Attributes

const unsigned int | n_words
| Number of words.
const Range * | r
| Range information.
const Range * | lst
| Last range.
int | l
| Low value.
int | h
| High value.
const BitSetData * | s
| The lost value's support.

## Detailed Description

template<class View, bool pos>
class Gecode::Int::Extensional::Compact< View, pos >::LostSupports

Iterator over lost supports.

Definition at line 430 of file extensional.hh.

## Constructor & Destructor Documentation

## LostSupports()

template<class View, bool pos>

Gecode::Int::Extensional::Compact< View, pos >::LostSupports::LostSupports | ( | const Compact< View, pos > & | p,
|  | CTAdvisor & | a,
|  | int | l,
|  | int | h )

inline

Initialize iterator for values between l and h.

Definition at line 287 of file compact.hpp.

## Member Function Documentation

## operator++()

template<class View, bool pos>

void Gecode::Int::Extensional::Compact< View, pos >::LostSupports::operator++ | ( | void |  | ) |

inline

Move iterator to next value.

Definition at line 299 of file compact.hpp.

## operator()()

template<class View, bool pos>

bool Gecode::Int::Extensional::Compact< View, pos >::LostSupports::operator() | ( | void |  | ) | const

inline

Whether iterator is done.

Definition at line 307 of file compact.hpp.

## supports()

template<class View, bool pos>

const TupleSet::BitSetData * Gecode::Int::Extensional::Compact< View, pos >::LostSupports::supports | ( | void |  | ) | const

inline

Provide access to corresponding supports.

Definition at line 312 of file compact.hpp.

## Member Data Documentation

## n_words

template<class View, bool pos>

const unsigned int Gecode::Int::Extensional::Compact< View, pos >::LostSupports::n_words

protected

Number of words.

Definition at line 433 of file extensional.hh.

## r

template<class View, bool pos>

const Range* Gecode::Int::Extensional::Compact< View, pos >::LostSupports::r

protected

Range information.

Definition at line 435 of file extensional.hh.

## lst

template<class View, bool pos>

const Range* Gecode::Int::Extensional::Compact< View, pos >::LostSupports::lst

protected

Last range.

Definition at line 437 of file extensional.hh.

## l

template<class View, bool pos>

int Gecode::Int::Extensional::Compact< View, pos >::LostSupports::l

protected

Low value.

Definition at line 439 of file extensional.hh.

## h

template<class View, bool pos>

int Gecode::Int::Extensional::Compact< View, pos >::LostSupports::h

protected

High value.

Definition at line 441 of file extensional.hh.

## s

template<class View, bool pos>

const BitSetData* Gecode::Int::Extensional::Compact< View, pos >::LostSupports::s

protected

The lost value's support.

Definition at line 443 of file extensional.hh.

The documentation for this class was generated from the following files:

- gecode/int/extensional.hh
- gecode/int/extensional/compact.hpp